package globals

import "github.com/lionsoul2014/ip2region/binding/golang/xdb"

var Geo *xdb.Searcher

func InitGeo() {
	var err error

	buff, err := xdb.LoadContentFromFile("ip2region.xdb")
	if err != nil {
		panic("读取 geo 数据库文件失败")
	}

	Geo, err = xdb.NewWithBuffer(buff)
	if err != nil {
		panic("初始化 geo 查询工具失败")
	}
}

func ExitGeo() {
	Geo.Close()
}
